Aria: ArSimulatedLaser Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArSimulatedLaser Class Reference

`#include <ArSimulatedLaser.h>`

Inheritance diagram for ArSimulatedLaser:

List of all members.

## Detailed Description

This class is a subclass of ArRangeDeviceThreaded meant for any planar scanning lasers, like the SICK lasers, Hokoyo URG series lasers, etc. Unlike most base classes this contains the superset of everything that may need to be configured on any of the sensors, this is so that the configuration and parameter files don't have to deal with anything sensor specific.

To see the different things you can set on a laser, call the functions canSetDegrees, canChooseRange, canSetIncrement, canChooseIncrement, canChooseUnits, canChooseReflectorBits, canSetPowerControlled, canChooseStartBaud, and canChooseAutoBaud to see what is available (the help for each of those tells you what functions they are associated with, and for each function associated with one of those it tells you to see the associated function).

## Public Member Functions
| ArSimulatedLaser (ArLaser *laser)
| Constructor.
virtual bool | asyncConnect (void)
virtual bool | blockingConnect (void)
virtual bool | disconnect (void)
virtual bool | isConnected (void)
virtual bool | isTryingToConnect (void)
virtual | ~ArSimulatedLaser ()
| Destructor.
## Protected Member Functions
bool | finishParams (void)
virtual bool | laserCheckParams (void)
virtual void * | runThread (void *arg)
bool | simPacketHandler (ArRobotPacket *packet)
## Protected Attributes
std::list< ArSensorReading * > * | myAssembleReadings
std::list< ArSensorReading * > * | myCurrentReadings
bool | myIsConnected
std::list< ArSensorReading * >::iterator | myIter
ArLaser * | myLaser
double | mySimBegin
double | mySimEnd
double | mySimIncrement
unsigned int | mySimPacketCounter
ArTransform | mySimPacketEncoderTrans
ArRetFunctor1C< bool, ArSimulatedLaser, ArRobotPacket * > | mySimPacketHandler
ArPose | mySimPacketStart
ArTransform | mySimPacketTrans
bool | myStartConnect
unsigned int | myTotalNumReadings
bool | myTryingToConnect
unsigned int | myWhichReading

The documentation for this class was generated from the following file:

- ArSimulatedLaser.h